> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lucitra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dataset

> Get a single dataset by ID.



## OpenAPI

````yaml /openapi.json get /v1/datasets/{dataset_id}
openapi: 3.1.0
info:
  title: Lucitra Validate API
  version: 0.1.0
servers: []
security: []
paths:
  /v1/datasets/{dataset_id}:
    get:
      tags:
        - datasets
      summary: Get Dataset
      description: Get a single dataset by ID.
      operationId: get_dataset_v1_datasets__dataset_id__get
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Dataset Id
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DatasetResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        project_id:
          type: string
          format: uuid
          title: Project Id
        name:
          type: string
          title: Name
        gcs_path:
          type: string
          title: Gcs Path
        format:
          type: string
          title: Format
        scene_count:
          type: integer
          title: Scene Count
        total_size_bytes:
          type: integer
          title: Total Size Bytes
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
        uploaded_at:
          type: string
          format: date-time
          title: Uploaded At
      type: object
      required:
        - id
        - project_id
        - name
        - gcs_path
        - format
        - scene_count
        - total_size_bytes
        - uploaded_at
      title: DatasetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````